summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* media-plugins/gst-plugins-x265: Drop old versionsMatt Turner2022-06-071-4/+0
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* media-libs/gstreamer: Version bump, 1.20.2Igor V. Kovalenko2022-05-121-0/+1
| | | | | | Bug: https://bugs.gentoo.org/843770 Signed-off-by: Igor V. Kovalenko <igor.v.kovalenko@gmail.com> Signed-off-by: Sam James <sam@gentoo.org>
* media-libs/gstreamer: Version bump, 1.18.6Igor V. Kovalenko2022-03-181-0/+1
| | | | | | | Bug: https://bugs.gentoo.org/835368 Signed-off-by: Igor V. Kovalenko <igor.v.kovalenko@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/24625 Signed-off-by: Sam James <sam@gentoo.org>
* media-libs/gstreamer: Version bump, 1.20.1Igor V. Kovalenko2022-03-171-1/+1
| | | | | Signed-off-by: Igor V. Kovalenko <igor.v.kovalenko@gmail.com> Signed-off-by: Sam James <sam@gentoo.org>
* media-libs/gstreamer: Bump to 1.20.0Igor V. Kovalenko2022-03-081-0/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | Gstreamer 1.20.0 version bump, includes - all existing 1.18.4 plugins except for two dropped upstream (gst-plugins-libmms and gst-plugins-ofa) - libnice-0.1.18 version bump required by gst-plugins-webrtc in 1.20.0 - required multilib change for libldac for new plugin gst-plugins-ldac - required multilib change for libopenaptx and libfreeaptx for new plugin gst-plugins-openaptx As discussed, this change adds a LICENSE to each of gstreamer modules which now require explicit opt-in for (A)GPL plugins for (A)GPL plugins we will not perform explicit license acceptance for affected gstreamer plugin, instead we will rely on a user accepting the license of dependency: - gstreamer change added explicit opt-in https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1084 - I looked at affected gstreamer plugins and looks like all are correctly license-compatible according to compatibility matrix https://www.gnu.org/licenses/gpl-faq.html#AllCompatibility - if a user is not willing to accept the license of corresponding (A)GPL dependency, such dependency will not be available and affected gstreamer plugin will not be built - Upstream gstreamer team will look into updating/fixing plugin license display available via gst-inspect-1.0 <plugin name> | grep License as currently it is just "GPL" which is not specific enough (should be GPL-2, GPL-2+, GPL-3 etc.) Signed-off-by: Igor V. Kovalenko <igor.v.kovalenko@gmail.com> Signed-off-by: Sam James <sam@gentoo.org>
* media-plugins/gst-plugins-x265: Version bump, 1.18.4Haelwenn (lanodan) Monnier2021-05-301-0/+1
| | | | | Signed-off-by: Haelwenn (lanodan) Monnier <contact@hacktivis.me> Signed-off-by: Sam James <sam@gentoo.org>
* media-plugins/gst-plugins-x265: remove oldMart Raudsepp2021-02-201-2/+0
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* media-plugins/gst-plugins-x265: bump to 1.16.3Mart Raudsepp2021-02-131-0/+1
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* media-plugins/gst-plugins-x265: bump to 1.16.2Mart Raudsepp2020-05-031-0/+1
| | | | | Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* media-plugins/gst-plugins-x265: remove oldMart Raudsepp2020-01-011-1/+0
| | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* media-plugins/gst-plugins-x265: bump to 1.14.5, no code changes from 1.14.3Mart Raudsepp2019-08-281-0/+1
| | | | | Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* media-plugins/gst-plugins-x265: remove oldMart Raudsepp2019-02-061-1/+0
| | | | | Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* media-plugins/gst-plugins-x265: remove oldMart Raudsepp2019-01-161-1/+0
| | | | | Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* media-plugins/gst-plugins-x265: remove oldMart Raudsepp2018-09-211-1/+0
| | | | Package-Manager: Portage-2.3.49, Repoman-2.3.10
* media-plugins/gst-plugins-x265: bump to 1.14.3, no code changes from 1.14.2Mart Raudsepp2018-09-181-0/+1
| | | | Package-Manager: Portage-2.3.49, Repoman-2.3.10
* media-plugins/gst-plugins-x265: bump to 1.14.2, no code changes from 1.14.1Mart Raudsepp2018-07-311-0/+1
| | | | Package-Manager: Portage-2.3.43, Repoman-2.3.10
* media-plugins/gst-plugins-x265: remove oldMart Raudsepp2018-06-211-1/+0
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* media-plugins/gst-plugins-x265: bump to 1.14.1Mart Raudsepp2018-06-161-0/+1
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* media-plugins/gst-plugins-x265: bump to 1.12.4, no code changes compared to ↵Mart Raudsepp2018-02-151-0/+1
| | | | | | 1.12.3 Package-Manager: Portage-2.3.19, Repoman-2.3.6
* media-plugins/gst-plugins-x265: remove oldMart Raudsepp2018-01-031-1/+0
| | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6
* media-plugins/gst-plugins-x265: remove oldMart Raudsepp2017-12-121-1/+0
| | | | Package-Manager: Portage-2.3.16, Repoman-2.3.6
* media-plugins/*: Update Manifest hashesMichał Górny2017-12-101-3/+3
|
* media-plugins/gst-plugins-x265: remove oldMart Raudsepp2017-09-191-1/+0
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.2
* media-plugins/gst-plugins-x265: bump to 1.12.3, no code changes compared to ↵Mart Raudsepp2017-09-191-0/+1
| | | | | | 1.12.2 Package-Manager: Portage-2.3.6, Repoman-2.3.2
* media-plugins/gst-plugins-x265: bump to 1.12.2Mart Raudsepp2017-09-161-0/+1
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.2
* media-libs/gst-plugins-bad and its splits: Remove old 1.8.3 and 1.10.4Mart Raudsepp2017-09-021-2/+0
|
* media-plugins/gst-plugins-x265: bump to 1.10.5, no code changes compared to ↵Mart Raudsepp2017-06-181-0/+1
| | | | | | 1.10.4 Package-Manager: Portage-2.3.5, Repoman-2.3.2
* media-plugins/gst-plugins-x265: bump to 1.10.4, no code changes compared to ↵Mart Raudsepp2017-02-251-0/+1
| | | | | | 1.10.3 Package-Manager: Portage-2.3.3, Repoman-2.3.1
* media-plugins/gst-plugins-x265: bump to 1.10.3Mart Raudsepp2017-02-111-0/+1
| | | | Package-Manager: Portage-2.3.3, Repoman-2.3.1
* media-libs/gst-plugins-bad and its splits: Remove old 1.6.3Mart Raudsepp2017-01-261-1/+0
| | | | Package-Manager: Portage-2.3.3, Repoman-2.3.1
* media-libs/gst-plugins-bad and its splits: Remove old 1.8.2Mart Raudsepp2016-12-301-1/+0
| | | | Package-Manager: portage-2.3.3
* media-plugins/gst-plugins-x265: version bump to 1.8.3Gilles Dartiguelongue2016-09-191-0/+1
| | | | Package-Manager: portage-2.3.0
* media-plugins/gst-plugins-x265: Version bumpPacho Ramos2016-07-091-0/+1
| | | | Package-Manager: portage-2.3.0
* media-plugins/gst-plugins-x265: Drop oldPacho Ramos2016-07-091-2/+0
| | | | Package-Manager: portage-2.3.0
* media-plugins/gst-plugins-x265: version bump to 1.6.3Gilles Dartiguelongue2016-01-311-0/+1
| | | | Package-Manager: portage-2.2.27
* media-plugins/gst-plugins-x265: version bump to 1.6.2Gilles Dartiguelongue2015-12-261-0/+1
| | | | Package-Manager: portage-2.2.26
* media-plugins/gst-plugins-x265: initial ebuildGilles Dartiguelongue2015-11-091-0/+1
Package-Manager: portage-2.2.23